/**
 * gclc-socket:net.bigeon.gclc.socket.RemoteDisconnectCommand.java
 * Created on: Nov 18, 2017
 */
package net.bigeon.gclc.socket;

import net.bigeon.gclc.command.Command;
import net.bigeon.gclc.exception.CommandRunException;
import net.bigeon.gclc.manager.ConsoleInput;
import net.bigeon.gclc.manager.ConsoleOutput;

/** A {@link Command} to disconnect elements from a {@link ConnexionManager}.
 *
 * @author Emmanuel Bigeon
 * @param <T> the type of connected object
 * @deprecated since 1.1.17, this has been moved to
 *             {@link RemoteDisconnectCommand}. */
@Deprecated
public final class RemoteDisconnectCommand<T> extends Command {

    private final net.bigeon.gclc.socket.cmd.RemoteDisconnectCommand<T> real;

    /** Create the disconnection command.
     *
     * @param name the command name
     * @param manager the manager
     * @param all if all elements should be disconnected when no argument is
     *        provided */
    public RemoteDisconnectCommand(final String name, final ConnexionManager<T> manager,
                                   final boolean all) {
        super(name);
        real = new net.bigeon.gclc.socket.cmd.RemoteDisconnectCommand<>(name, manager,
                all);
    }

    /* (non-Javadoc)
     * @see fr.bigeon.gclc.command.ICommand#execute(fr.bigeon.gclc.manager.
     * ConsoleOutput, fr.bigeon.gclc.manager.ConsoleInput, java.lang.String[]) */
    @Override
    public void execute(final ConsoleOutput out, final ConsoleInput in,
            final String... args) throws CommandRunException {
        real.execute(out, in, args);
    }

    /* (non-Javadoc)
     * @see fr.bigeon.gclc.command.ICommand#tip() */
    @Override
    public String tip() {
        return real.tip();
    }

    /* (non-Javadoc)
     * @see fr.bigeon.gclc.command.Command#usageDetail() */
    @Override
    protected String usageDetail() {
        return "";
    }
}
